TGT-ADMIN(8)

NAME
tgt-admin - Linux SCSI Target Configuration Tool.

SYNOPSIS
tgt-admin -[OPTION]...

DESCRIPTION
tgt-admin is a utility which allows a persistent configuration of targets and luns.
It uses tgtadm commands to create, delete and show targets.

OPTIONS

-e, --execute
    Read /etc/tgt/targets.conf and execute tgtadm commands.
    If the target already exists, it won't be processed. See --update.

--delete <value>
    Delete all or selected targets.
    The target will be deleted only if it's not used (no initiator is connected to it).

    If you want to delete targets which are in use, you have to add "--force" flag.

    Example usage:
          --delete ALL - delete all targets
          --delete tid=4 - delete target 4 (target with tid 4)
          --delete iqn.2008-08.com.example:some.target - delete this target

--offline <value>
    Put all or selected targets in offline state.

    Example usage:
          --offline ALL - offline all targets
          --offline tid=4 - offline target 4 (target with tid 4)
          --offline iqn.2008-08.com.example:some.target - offline this target

--ready <value>
    Put all or selected targets in ready state.

    Example usage:
          --ready ALL - ready all targets
          --ready tid=4 - ready target 4 (target with tid 4)
          --ready iqn.2008-08.com.example:some.target - ready this target

--update <value>
    Update all or selected targets.
    The target will be updated only if it's not used (no initiator is connected to it).

    If you want to update targets which are in use, you have to add "--force" flag.

    Example usage:
          --update ALL - ready all targets
          --update tid=4 - ready target 4 (target with tid 4)
          --update iqn.2008-08.com.example:some.target - update this target

-s, --show
    Show all the targets.

-c, --conf <conf file>
    Specify an alternative configuration file instead of /etc/tgt/target.conf, which is the default.

--ignore-errors
    Continue even if tgtadm exits with non-zero code.

-f, --force
    Force some operations even if the target is in use.

-p, --pretend
    Only print tgtadm options which would be used; don't execute any actions.
    Assumes -v.

--dump
    Dump current tgtd configuration. Note: does not include detailed parameters, like write caching.

-v, --verbose
    Increase verbosity (show tgtadm commands used).

-h, --help
    Display a list of available options and exit.

CONFIGURATION FILE SYNTAX
The defualt configuration file is /etc/tgt/target.conf. It defines all the targets and their properties.
The configuration file is in XML format and uses tags.
Configuration file contains several target blocks, where each block contains target's properties such as storage devices,
initator ACL and authorization information. You can include other config files using:
include /etc/tgt/xen/*.conf.

There are 2 types of storage devices:

backing-store - defines a virtual device on the target.

direct-store - defines a direct mapped device with the same properties as the physical device (such as VENDOR_ID, SERIAL_NUM, etc.)

initiator-address - allows connections only from the specify IP address. defaults to ALL if no "initiator-address" is specified

incominguser - define iscsi incoming authentication setting. if no "incominguser" is specified, it is not used.

outgoinguser - define iscsi outgoing authentication setting. if no "outgoinguser" is specified, it is not used.

Example configuration file:

<target iqn.2007-04.com.example:san.monitoring>
   backing-store /dev/san/monitoring

   # if no "incominguser" is specified, it is not used
   incominguser backup secretpass12

   # defaults to ALL if no "initiator-address" is specified
   initiator-address 192.168.1.2
</target>

<target iqn.2007-02.com.example:san.xen1>
   backing-store /dev/san/xen1-disk1 # LUN1
   direct-store /dev/san/xen1-disk2 # LUN2

   initiator-address 192.168.1.2 # Allowed IP
   initiator-address 192.168.5.6 # Allowed IP

   incominguser user1 secretpass12
   incominguser user2 secretpass23

   outgoinguser userA secretpassA
</target>

<target iqn.2007-02.com.example:san.xen2>
   backing-store /dev/san/xen2
</target>

<target iqn.2007-06.com.example:san.vmware1>
   backing-store /dev/san/vmware1
</target>

FILES
/etc/tgt/targets.conf
    Configuration file for tgt-admin.
/usr/share/doc/tgt/targets.conf.example
    Example configuration file for tgt-admin.

SEE ALSO
tgtadm(8)

REPORTING BUGS
Report bugs to <stgt@vger.kernel.org>